/* ========================================
CONTACT US SECTION
======================================== */

.contact-us-section {
    color: var(--text-color);
    padding: 1rem 0;
    width: 97vw;
    overflow: hidden;
    position: relative;
    text-align: center;
}

/* Dark Theme Adjustments */
body.dark-theme .contact-us-section {
    color: var(--dark-text-color);
}

.contact-us-section .container {
    background: linear-gradient(to right, rgb(235, 235, 235), rgb(245, 245, 245), rgb(235, 235, 235));
    border-radius: 20px;
    box-shadow: 0 8px 20px rgba(0, 0, 0, 0.2);
    padding: 4rem;
    max-width: 2000px;
    min-width: 300px;
    width: 95%;
    margin: 0 auto;
}

body.dark-theme .contact-us-section .container {
    background: transparent !important;
    border: 1px solid var(--gold-color);
}

.contact-us-section .row {
    justify-content: center;
}

.contact-us-section .contact-description {
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    text-align: center;
}

.contact-us-section .section-title h3 {
    color: var(--gold-color-secondary) !important;
    font-family: 'Cinzel', serif;
    letter-spacing: 2px;
    /*text-align: center;*/
}

body.dark-theme .contact-us-section .section-title h3 {
    color: var(--gold-color-secondary) !important;
}

.contact-us-section .section-underline {
    background: linear-gradient(90deg, var(--gold-color-secondary) 30%, transparent 100%);
    width: 100%;
    height: 3px;
    /*margin: 0 auto;*/
}

.contact-us-section p {
    font-size: 1.2rem;
    line-height: 1.8;
    text-align: start;
    margin-bottom: 2rem;
    color: rgba(0, 0, 0, 0.6);
}

body.dark-theme .contact-us-section p {
    color: rgba(255, 255, 255, 0.8);
}

.contact-us-section .contact-group {
    width: 100%;
    margin: 1rem auto;
    text-align: center;
    font-size: 1.3rem;
    line-height: 3rem;
    opacity: 0.8;
}

.contact-us-section .contact a {
    color: var(--text-color);
    text-decoration: none;
    letter-spacing: 1px;
    word-break: break-all;
}

.contact-us-section .contact a:hover,
.contact-us-section .contact a:focus {
    color: var(--gold-color-secondary);
}

body.dark-theme .contact-us-section .contact a {
    color: var(--dark-text-color);
}

body.dark-theme .contact-us-section .contact a:hover,
body.dark-theme .contact-us-section .contact a:focus {
    color: var(--gold-color-secondary);
}

.contact-us-section .contact i {
    color: var(--gold-color-secondary);
}

.contact-us-section .social-group {
    margin-top: 1rem !important;
    text-align: center;
}

.contact-us-section .social-btn {
    display: inline-block;
    width: 50px;
    height: 50px;
    margin-right: 15px;
    background: var(--gold-color-secondary);
    color: var(--dark-text-color);
    border-radius: 50%;
    text-align: center;
    line-height: 50px;
    font-size: 26px;
    transition: background 0.3s, color 0.3s, transform 0.3s;
    border: 1.5px solid rgba(212, 175, 55, 0.15);
}

.contact-us-section .social-btn:hover ,
.contact-us-section .social-btn:focus {
    background: var(--gold-color-secondary);
    transform: scale(1.1);
}

body.dark-theme .contact-us-section .social-btn {
    background: rgba(255, 255, 255, 0.08);
    color: var(--gold-color-secondary);
    border: 1.5px solid rgba(212, 175, 55, 0.15);
}

body.dark-theme .contact-us-section .social-btn:hover,
body.dark-theme .contact-us-section .social-btn:focus {
    background: var(--gold-color-secondary);
    color: var(--primary-color-light);
}

.contact-us-section .col-md-6:nth-of-type(2) {
    display: flex;
    align-items: stretch;
    justify-content: center;
}

.contact-us-section .col-md-6:nth-of-type(3) {
    display: flex;
    align-items: center;
    justify-content: center;
    border-left: 2px solid rgba(0, 0, 0, 0.1);

}

body.dark-theme .contact-us-section .col-md-6:nth-of-type(3) {
    border-left: 2px solid var(--gold-color);
}

.contact-us-section .contact-form {
    display: flex;
    align-items: center;
    justify-content: end;
    width: 100%;
    max-width: 500px;
}

.contact-us-section .contact-form form {
    width: 100%;
}

.contact-us-section .contact-form .form-label {
    color: var(--text-color);
    font-weight: 500;
}

.contact-us-section .contact-form .form-control {
    background-color: transparent;
    border-color: rgba(0, 0, 0, 0.1);
    color: var(--text-color);
}

.contact-us-section .contact-form .form-control[type='text'],
.contact-us-section .contact-form .form-control[type='email'] {
    height: 45px;
}

.contact-us-section .contact-form .form-control:focus {
    background-color: transparent;
    border-color: var(--gold-color);
    box-shadow: none;
}

.contact-us-section .contact-form .form-control::placeholder {
    color: #555;
}

body.dark-theme .contact-us-section .contact-form .form-control {
    border: 1px solid var(--primary-color-light);
    background-color: var(--box-color2);
    color: var(--dark-text-color)
}

body.dark-theme .contact-us-section .contact-form .form-control:focus {
    border: 1px solid var(--gold-color);
    box-shadow: none;
}

body.dark-theme .contact-us-section .contact-form .form-control::placeholder {
    color: #999;
}

.contact-us-section .contact-form .btn-primary {
    background: var(--gold-color);
    border: 2px solid var(--gold-color);
    border-radius: 8px;
    padding: 10px 20px;
    font-weight: 500;
    color: white;
    float: right;
    transition: all 0.3s ease;
}

.contact-us-section .contact-form .btn-primary:hover,
.contact-us-section .contact-form .btn-primary:focus,
.contact-us-section .contact-form .btn-primary:active{
    background: transparent !important;
    color: var(--gold-color) !important;
    backdrop-filter: blur(10px) !important;
    -webkit-backdrop-filter: blur(10px) !important;
    transform: scale(1.005) !important;
}

.contact-us-section .response-wrapper {
    display: none;
    opacity:0;
    flex-direction: column;
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%,-50%);
    width:fit-content;
    padding: 2rem 2rem;
    background: rgba(0,0,0,0.5);
    backdrop-filter: blur(10px);
    box-shadow: 0 0 3px rgba(0,0,0,0.5);
    border-radius:10px;
    justify-content: center;
    align-items: center;
    gap:1rem;
}

.contact-us-section .response-wrapper.show {
    display: flex;
    
    animation: show-response 5s forwards;
}

@keyframes show-response {
    0% {
        opacity: 0;
    }
    10% {
        opacity: 1;
    }        
    75% {
        opacity: 1;
    }
    100% {
        opacity: 0;
    }
}
.contact-us-section .response-wrapper span,
body.dark-theme .response-wrapper span {
    font-size: 1.2rem;
    color:#fff;
}

.contact-us-section .response-wrapper i{
    font-size:4rem
}

.contact-us-section .map {
    border: 0;
    border-radius: 15px;
    width: 100%;
    height: 400px;
    min-height: 220px;
    min-width: 220px;
    box-shadow: 0 0 5px rgba(0, 0, 0, 0.3);
    padding: 0;
    transition: all 0.5s ease-out;
}

.contact-us-section .map:hover,
.contact-us-section .map:focus {
    transform: scale(1.03);
}

/* Responsive adjustments */
@media (min-width: 1919px) {

    .contact-us-section .contact-form {
        max-width: 600px;
    }
}



/* Responsive adjustments */
@media (max-width: 767.98px) {

    .contact-us-section {
        width: 90vw;
    }

    .contact-us-section .container {
        max-width: 100%;
        padding: 3rem 1.5rem;
        margin: 0 auto;
    }

    .contact-us-section .col-md-6:nth-of-type(3),
    body.dark-theme .contact-us-section .col-md-6:nth-of-type(3) {
        justify-content: center;
        border-left: none !important;
        margin-top: 2rem;
    }

    .contact-us-section .btn-primary {
        width: 100%;
    }

    .contact-us-section .section-title h3 {
        font-size: 1.8rem;
    }

    .contact-us-section p {
        text-align: center;
        font-size: 1.2rem;
    }

    .contact-us-section .contact-group,
    .contact-us-section .social-group {
        text-align: center;
    }
}

@media (max-width: 400px) {

    .contact-us-section .social-btn {
        line-height: 40px;
        width: 40px;
        height: 40px;
        font-size: 1rem;
    }

    .contact-us-section .contact-group {
        font-size: 1rem;
    }
}